/**
ad0x0 usart... ну поехали... 02.09.2020
Очередь комманд. Надо или нет? Допустим надо отправлять данные гироскопа в ком порт компа. 
Тогда скорость чтения с гироскопа и скорость отправки будет разная.. Че делать с переполнением?
пока что нахер очередь для усарта
*/
#ifndef AD0X0_USART_H
#define AD0X0_USART_H

//#include "stm8s.h"
#include "main.h"
#include <stdbool.h>
typedef uint32_t  u32;
typedef uint16_t u16;
typedef uint8_t  u8;

void 		ad0x0_usart_irq(void);
void	ad0x0_usart_init(void);
void	ad0x0_usart_txbuf(void *pbuf,int8_t bytes_count);
void	ad0x0_usart_txstr(u8 *pstr);
bool	ad0x0_usart_isReady(void);
	

#endif 

